Subject: Re: [PATCH iproute2-next] Introduce ip-brctl shell script

From: Stefano Brivio <[email-masked]>
Date: Wed, 30 Jan 2019 11:55:55 +0100

Hi David,

On Tue, 29 Jan 2019 21:51:24 -0700
David Ahern <[email-masked]> wrote:

> On 1/18/19 10:00 AM, Stefano Brivio wrote:
> > This script wraps 'ip' and 'bridge' tools to provide a drop-in replacement
> > of the standalone 'brctl' utility.
> > 
> > It's bug-to-bug compatible with brctl as of bridge-utils version 1.6,
> > has no dependencies other than a POSIX shell, and it's less than half
> > the binary size of brctl on x86_64.
> > 
> > As many users (including myself) seem to find brctl usage vastly more
> > intuitive than ip-link, possibly due to habit, this might be a lightweight
> > approach to provide brctl syntax without the need to maintain bridge-utils
> > any longer.
> > 
> > Signed-off-by: Stefano Brivio <[email-masked]>
> > Acked-by: Phil Sutter <[email-masked]>
> > ---
> >  man/man8/Makefile   |   5 +-
> >  man/man8/ip-brctl.8 | 187 +++++++++++++++
> >  misc/Makefile       |   9 +-
> >  misc/ip-brctl.in    | 572 ++++++++++++++++++++++++++++++++++++++++++++
> >  4 files changed, 770 insertions(+), 3 deletions(-)
> >  create mode 100644 man/man8/ip-brctl.8
> >  create mode 100755 misc/ip-brctl.in  
> 
> I get your intent, but this seems more appropriate for you / Red Hat to
> carry than something we want to distribute as part of iproute2.

Sure, I could also do that, but:

- me creating another project: similar maintenance burden for
  distribution maintainers as keeping bridge-utils around,
  for something that won't have any active development

- carrying it in a single distribution downstream: I would have gone
  that way if I thought it wouldn't be useful for others. I myself use
  (also) distributions other than Fedora/RHEL and this would feel
  just... wrong

Why do you think it's not appropriate to distribute this as part of
iproute2? Too ugly? Bloated? Anything I can improve?

I think it would be appropriate because it intimately depends on
ip-link -- it's really nothing more than a helper for iproute2 tools.

-- 
Stefano